ru.inpas.connector.lib

## Enum PosExchange.ParameterId

- java.lang.Object
- - java.lang.Enum<PosExchange.ParameterId>
  - - ru.inpas.connector.lib.PosExchange.ParameterId

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PosExchange.ParameterId>

Enclosing class:
  PosExchange

    public static enum PosExchange.ParameterId
    extends java.lang.Enum<PosExchange.ParameterId>

Идентификаторы параметров передаваемых в метод SetParameter. Для логирования необходимо установить CALLING_ACTIVITY или CALLING_CONTEXT

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACK_COUNT` Количество отправляемых подтверждений приёма пакета (ACK) (по умолчанию 3, допустимые значения от 1 до 5).
`ACK_TIMEOUT` Таймаут ожидания подтверждения приёма пакета (ACK) на терминале (по умолчанию 5 сек), диапазон значений от 5 сек до 30 сек.
`CALLING_ACTIVITY` Activity вызывающего приложения
`CALLING_CONTEXT` Context вызывающего приложения
`CONNECT_TIMEOUT` Таймаут установления соединения с терминалом (по умолчанию 30 сек), диапазон значений от 5 сек до 1200 сек.
`LOG_MODE` Режима логирования
`RECEIVE_TIMEOUT` Таймаут ожидания результата выполнения команды на терминале (по умолчанию 60 сек), диапазон значений от 5 сек до 1200 сек.

### Method Summary

All Methods Static Methods Concrete Methods
`static PosExchange.ParameterId` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PosExchange.ParameterId[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT_TIMEOUT

    public static final PosExchange.ParameterId CONNECT_TIMEOUT

Таймаут установления соединения с терминалом (по умолчанию 30 сек), диапазон значений от 5 сек до 1200 сек.

#### RECEIVE_TIMEOUT

    public static final PosExchange.ParameterId RECEIVE_TIMEOUT

Таймаут ожидания результата выполнения команды на терминале (по умолчанию 60 сек), диапазон значений от 5 сек до 1200 сек.

#### ACK_TIMEOUT

    public static final PosExchange.ParameterId ACK_TIMEOUT

Таймаут ожидания подтверждения приёма пакета (ACK) на терминале (по умолчанию 5 сек), диапазон значений от 5 сек до 30 сек.

#### ACK_COUNT

    public static final PosExchange.ParameterId ACK_COUNT

Количество отправляемых подтверждений приёма пакета (ACK) (по умолчанию 3, допустимые значения от 1 до 5).

#### LOG_MODE

    public static final PosExchange.ParameterId LOG_MODE

Режима логирования

#### CALLING_ACTIVITY

    public static final PosExchange.ParameterId CALLING_ACTIVITY

Activity вызывающего приложения

#### CALLING_CONTEXT

    public static final PosExchange.ParameterId CALLING_CONTEXT

Context вызывающего приложения

### Method Detail

#### values

    public static PosExchange.ParameterId[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PosExchange.ParameterId c : PosExchange.ParameterId.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PosExchange.ParameterId valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null